using LitJson;

namespace Wizard;

public class GachaPointData
{
	public int GachaPoint { get; private set; }

	public int ExchangeableGachaPoint { get; private set; }

	public bool IsExchangeableGachaPoint { get; private set; }

	public int GachaPointPackId { get; set; }

	public int IncreaseGachaPoint { get; set; }

	public GachaPointData(JsonData json)
	{
		GachaPoint = json["gacha_point"].ToInt();
		ExchangeableGachaPoint = json["exchangeable_gacha_point"].ToInt();
		IsExchangeableGachaPoint = json["is_exchangeable_gacha_point"].ToBoolean();
		GachaPointPackId = json["pack_id"].ToInt();
		IncreaseGachaPoint = json["increase_gacha_point"].ToInt();
	}
}
